Subject: Re: [JGIT PATCH v3 0/23] Implementation of a file tree iteration using ignore rules.

From: Florian Köberle <[email-masked]>
Date: Sun, 08 Jun 2008 18:37:30 +0200

>> Unsupported are colon expressions like ":alpha:". I didn't expect git-add to support it, but as I just noticed git does.
> Maybe we should anticipate it and throw an exception if one tries the pattern and not treat it as [alph:] .
> 
> Well we noted they were broken in Git so (separate thread) so we may as well try something sane. 
Just did some tests and noted that the shell and git does not support 
them. I guess I thought that they work because [:alpha:] matched "a".

Hi Robin

The bash shell doesn't support [:alpha:] too:
$ mkdir test
$ cd test
$ touch a
$ touch b
$ touch :
$ ls [:alpha:]
:  a

The fnmatch function of the python module fnmatch 
(http://docs.python.org/lib/module-fnmatch.html) does not support 
:alpha: too.

example:
$python
 >>> from fnmatch import fnmatch
 >>> fnmatch("a","[:alpha:]")
False

So I see no reason for displaying a warning.

Best regards,
Florian